from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

# Intentionally not using __version__
# Fix ModuleNotFoundError on python3 -m build
# due to importing crystaldiskmark_parser and therefore its dependencies pandas
VERSION = "1.0.4"
DESCRIPTION = 'Read in the .txt files generated by CrystalDiskMark in Python'

# Setting up
setup(
    name="crystaldiskmark_parser",
    version=VERSION,
    author="Soeren Metje",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=["pandas"],
    url='https://github.com/soerenmetje/CrystalDiskMark-Parser',
    keywords=['python', 'parser', 'benchmark', 'crystaldiskmark7', 'crystaldiskmark8'],
    classifiers=[
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent"
    ]
)
